Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045655
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalhave not tried2020-12-28 16:042020-12-29 07:42
ReportermarvintmView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045655: WebPOS fails with Chrome v89, because of new .at() function in Strings

DescriptionIn Chrome v89, the String prototype has a new at() function. This is a problem with the current implementation of the WebPOS, because the .at function is used to distinguish between Backbone collections and other types of objects.
Steps To ReproduceUsing Chrome Dev branch, log in the WebPOS. Realise the following Javascript error is raised:

Uncaught (in promise) TypeError: clonedObject.get(...).reset is not a function
    at 54efdf8ddc7966329ee58389bd8dd37b.js:14770
    at Array.forEach (<anonymous>)
    at Function.b.each.b.forEach (underscore-1.3.3.min.js:11)
    at cloneRecursively (54efdf8ddc7966329ee58389bd8dd37b.js:14762)
    at Object.OB.UTIL.clone (54efdf8ddc7966329ee58389bd8dd37b.js:14849)
    at G.d.clearWith (54efdf8ddc7966329ee58389bd8dd37b.js:66024)
    at Object.OB.UTIL.TicketUtils.loadAndSyncTicketFromState (54efdf8ddc7966329ee58389b

Proposed SolutionInstead of checking the .at() function, it should be checked whether the object is instance of Backbone.Collection.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0045656RR20Q4.1 closedranjith_qualiantech_com WebPOS fails with Chrome v89, because of new .at() function in Strings 
depends on backport 0045657RR20Q3.3 closedranjith_qualiantech_com WebPOS fails with Chrome v89, because of new .at() function in Strings 
related to defect 0047453pi closedjavierRodriguez issue with chrome 92 in addPromotion manual 
related to defect 0047463 closedranjith_qualiantech_com Multiupc scan problem 

-  Notes
(0125118)
hgbot (developer)
2020-12-29 07:23

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/118 [^]
(0125119)
hgbot (developer)
2020-12-29 07:42

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/118 [^]
(0125120)
hgbot (developer)
2020-12-29 07:42

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 7e1c050a3af39643c00724a4890562439f2f07fc
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-12-29T07:15:31+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/7e1c050a3af39643c00724a4890562439f2f07fc [^]

Fixed ISSUE-45655: Replace Object validation with Backbone instance when cloning object

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---

- Issue History
Date Modified Username Field Change
2020-12-28 16:04 marvintm New Issue
2020-12-28 16:04 marvintm Assigned To => ranjith_qualiantech_com
2020-12-28 16:04 marvintm Triggers an Emergency Pack => No
2020-12-28 16:04 marvintm Status new => scheduled
2020-12-29 07:23 hgbot Note Added: 0125118
2020-12-29 07:42 hgbot Resolution open => fixed
2020-12-29 07:42 hgbot Status scheduled => closed
2020-12-29 07:42 hgbot Note Added: 0125119
2020-12-29 07:42 hgbot Fixed in Version => RR21Q1
2020-12-29 07:42 hgbot Note Added: 0125120
2021-07-26 17:05 adrianromero Relationship added related to 0047393
2021-07-26 17:05 adrianromero Relationship deleted related to 0047393
2021-07-26 17:06 adrianromero Relationship added blocks 0047453
2021-07-26 17:06 adrianromero Relationship deleted blocks 0047453
2021-07-26 17:06 adrianromero Relationship added related to 0047453
2021-07-28 10:25 ranjith_qualiantech_com Relationship added related to 0047463


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker